Conteníu

# RSet Statement

Allinia a la derecha una cadena dientro d'una variable de cadena o copia una variable de tipu definíu pol usuariu n'otra.

### Syntax:

    RSet Testu As String = Testu o RSet Variable1 = Variable2

### Parameters:

Testu: Cualesquier variable de cadena.

Testu: Cadena que se deseya alliniar a la derecha na variable de cadena.

Variable1: Variable definida pol usuariu que ye'l destín pa la copia.

Variable2: Variable definida pol usuariu que se deseya copiar.

Si la cadena ye más curtia que la variable de cadena, RSet allinia la cadena a la derecha dientro de la variable de cadena. Los caráuteres que queden na variable de cadena sustituyir por espacios. Si la cadena ye más llarga que la variable de cadena, los caráuteres que devasen el llargor d'ésta atáyense y namái los restantes allíniense a la derecha dientro de la variable de cadena.

Tamién pue usase la instrucción RSet p'asignar variables d'un tipu definíu pol usuariu a otru.

L'exemplu siguiente usa les instrucciones RSet y LSet pa modificar l'alliniación derecha y esquierda d'una cadena.

### Example:

    Sub ExampleRLSet
    Dim sVar As String
    Dim sExpr As String
        sVar = String(40,"*")
        sExpr = "SBX"
        ' Allinia a la drecha "SBX" dientro d'una cadena de 40 caráuteres
        ' Trocar asteriscos por espacios
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123457896"
        RSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(40,"*")
        sExpr = "SBX"
        ' Allinia a la izquierda "SBX" dientro d'una cadena de 40 caráuteres
        LSet sVar = sExpr
        Print ">"; sVar; "<"
        sVar = String(5,"*")
        sExpr = "123456789"
        LSet sVar = sExpr
        Print ">"; sVar; "<"
    End Sub

Temes rellacionaos

String functions